# Summary

*Insert a meaningful description for this merge request here:  What is the new/changed behavior?
Which bug has been fixed? Are there related issues?*


# Focus

*Point the reviewer to the core of the code change. Where should they start reading? What should
they focus on (e.g. security, performance, maintainability, user-friendliness, compliance with the
specs, finding more corner cases, concrete questions)?*

# Testing

*How to set up a test environment for manual testing? Is there any manual testing needed?*

# Check List for the Author

- [ ] All automated tests pass
- [ ] Reference related issues
- [ ] Appropriate user and developer documentation for new code
  - How do I use the software?  Assume "stupid" users.
  - How do I develop or debug the software?  Assume novice developers.
- [ ] Annotations in code (Gitlab comments)
  - Intent of new code
  - Problems with old code
  - Why this implementation?


# Check List for the Reviewer

- [ ] I understand the intent of this MR
- [ ] All automated tests pass
- [ ] Appropriate user and developer documentation for new code
- [ ] The test environment setup works and the intended behavior is reproducible in the test
  environment

For further good practices have a look at [our review guidelines](https://gitlab.com/caosdb/caosdb/-/blob/dev/REVIEW_GUIDELINES.md).

/assign me
/target_branch main
